<?php require_once( 'couch/cms.php' ); ?>
<cms:template title='Home Page - Editing'>
	<cms:repeatable name='banner' label='Banner Images'>
    	<cms:editable name='image' label='Banner Advertisement Image' type='image' show_preview='1' preview_width='100' />
    </cms:repeatable>
</cms:template>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Click Me India</title>
		<link rel="stylesheet" href="css/simplegrid.css" type="text/css" />
        <link rel="stylesheet" href="css/genxcoders_site_stylesheet.css" type="text/css" />
        
		<!-- Main Navigation -->
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<link rel="stylesheet" href="css/main_nav_normalize.css">
		<link rel="stylesheet" href="css/mani_nav_style.css">
		<link href='http://fonts.googleapis.com/css?family=PT+Sans:400,700' rel='stylesheet' type='text/css'>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
		<script>
			$(function() {
				var pull 		= $('#pull');
					menu 		= $('nav ul');
					menuHeight	= menu.height();

				$(pull).on('click', function(e) {
					e.preventDefault();
					menu.slideToggle();
				});
	
				$(window).resize(function(){
        			var w = $(window).width();
        			if(w > 320 && menu.is(':hidden')) {
        				menu.removeAttr('style');
	        		}
    			});
			});
		</script>
		<!-- Main Navigation -->
        
        <!-- Banner -->
        <link rel='stylesheet' id='camera-css'  href='css/camera.css' type='text/css' media='all'> 
        <script type='text/javascript' src='js/camera_slider/jquery.min.js'></script>
	    <script type='text/javascript' src='js/camera_slider/jquery.mobile.customized.min.js'></script>
    	<script type='text/javascript' src='js/camera_slider/jquery.easing.1.3.js'></script> 
	    <script type='text/javascript' src='js/camera_slider/camera.min.js'></script> 
    
    	<script>
			jQuery(function(){
			
				jQuery('#camera_wrap_1').camera({
					height: '430px',
					thumbnails: false,
					pagination: false
				});
			});
		</script>
        <!-- Banner -->
        
        <!-- Search Box -->
        <link href='http://fonts.googleapis.com/css?family=Open+Sans:400italic,400,600,300,700' rel='stylesheet' type='text/css'>
		<link rel="stylesheet" type="text/css" href="css/search_style.css">
		<link rel="stylesheet" type="text/css" href="css/fontello.css">
        <!-- Search Box -->
        
        <!-- Popular Categories -->
        <link rel="stylesheet" href="css/list_menu_styles.css">
        <!-- Popular Categories -->
        
        <!-- Icons -->
        <link rel="stylesheet" href="css/icons.css" type="text/css" />
        <!-- Icons -->
	</head>

	<body>
		
        <!-- Facebook Widget Call -->
        <div id="fb-root"></div>
		<script>(function(d, s, id) {
			var js, fjs = d.getElementsByTagName(s)[0];
  			if (d.getElementById(id)) return;
  			js = d.createElement(s); js.id = id;
  			js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.0";
  			fjs.parentNode.insertBefore(js, fjs);
			}(document, 'script', 'facebook-jssdk'));
        </script>
        <!-- Facebook Widget Call -->
        
    	<!-- Navigation Menu -->
	    <nav class="clearfix">
			<ul class="clearfix">
				<li><a href="#">Home</a></li>
				<li><a href="#">About Us</a></li>
				<li><a href="#">Tenders</a></li>
				<li><a href="#">Online Ads?</a></li>
				<li><a href="#">Contact Us</a></li>
			</ul>
			<a href="#" id="pull">Menu</a>
		</nav>
    	<!-- Navigation Menu -->
    
	    <!-- Logo / Social Icons / Support Numbers -->
		<div id="header">
		    <div class="grid grid-pad">
    			<div class="col-4-12">
				    <div class="content">
                		<!-- Logo -->
				    	<img class="logo" src='<cms:get_custom_field 'site_logo' masterpage='globals.php' />' />
	                    <!-- Logo -->
				    </div>
			    </div>
		    	<div class="col-8-12">
				    <div class="content">
					    <!-- Social Icons -->
        	            <div id="social-icons">
						    <cms:embed 'profiles.html' />
	                        <br /><br />
    	                    <!-- Support Info -->
	        	            <div style="float:right; padding: 3px;">
	    	                	Enquire @ +91-<cms:get_custom_field 'contact_num' masterpage='globals.php' />
    	    	            </div>
        	    	        <!-- Support Info -->
            	        </div>
	                    <!-- Social Icons -->  
				    </div>
			    </div>
		    </div>
	    </div>
    	<!-- Logo / Social Icons / Support Numbers -->
    
	    <!-- Slider -->
	    <div id="slider">
		    <div class="grid grid-pad">
    			<div class="col-1-1">
				    <div class="content">
					    <div class="fluid_container">
    	    				<div class="camera_wrap camera_azure_skin" id="camera_wrap_1">
					            <cms:show_repeatable 'banner' >
                                	<div data-src="<cms:show image />"></div>
				    	        </cms:show_repeatable>
				        	</div><!-- #camera_wrap_1 -->
	                    </div>
				    </div>
			    </div>
		    </div>
    	</div>
	    <!-- Slider -->
        
        <div style="height: 30px;"></div>
        
        <!-- Search Box -->
	    <div class="grid grid-pad">
        <form id="k_search_form" method="get" action="<cms:link 'search.php' />" >
		    <div class="col-1-3">
			    <div class="content">
                	<!-- City Names for Search -->
    				<input type="text" width="100%" placeholder="City Search" name="s" id="s" />
                    <!-- City Names for Search -->
			    </div>
		    </div>
		    <div class="col-1-3">
			    <div class="content">
				    <!-- City Names for Search -->
    				<input name="s" id="s" type="text" placeholder="Category Search" />
                    <!-- City Names for Search -->
			    </div>
		    </div>
		    <div class="col-1-3">
			    <div class="content">
				    <a href="#"><div class="btn">Click Me INDIA !</div></a>
			    </div>
		    </div>
            <input type="hidden" name="nc" value="1" />
        </form>
        
	    </div>
        <!-- Search Box -->
        
        <div style="height: 10px;"></div>
        
        <!-- Body -->
	    <div class="grid grid-pad">
    		<div class="col-3-12">
			    <div class="content">
                	<!-- Business Categories -->
                    <h3 style="text-align: center; text-transform:uppercase; color: #2fcc71; margin-left: -20%;">Business Categories</h3>
				    <div id='cssmenu'>
						<ul>
   							<li class='active'><a href='#'><span>Advertisements</span></a></li>
   							<li><a href='#'><span>Advocates</span></a></li>
   							<li><a href='#'><span>Aluminium</span></a></li>
                            <li><a href='#'><span>Alloys</span></a></li>
                            <li><a href='#'><span>Belts</span></a></li>
                            <li><a href='#'><span>Bulbs</span></a></li>
                            <li><a href='#'><span>Building Materials</span></a></li>
                            <li><a href='#'><span>Cables</span></a></li>
                            <li><a href='#'><span>Corks</span></a></li>
                            <li><a href='#'><span>Dairy Products</span></a></li>
                            <li><a href='#'><span>Digital Automation</span></a></li>
                            <li><a href='#'><span>Driving Schools</span></a></li>
                            <li><a href='#'><span>Event Management</span></a></li>
                            <li><a href='#'><span>Electricals</span></a></li>
                            <li><a href='#'><span>Electronics</span></a></li>
                            <li><a href='#'><span>Fabrication</span></a></li>
                            <li><a href='#'><span>Fire Fighting</span></a></li>
                            <li><a href='#'><span>Food Products</span></a></li>
                            <li><a href='#'><span>Glass</span></a></li>
                            <li><a href='#'><span>Hardware</span></a></li>
                            <li><a href='#'><span>Hydraulics</span></a></li>
                            <li><a href='#'><span>Industrial</span></a></li>
                            <li><a href='#'><span>Iron</span></a></li>
                            <li><a href='#'><span>Kitchen</span></a></li>
                            <li><a href='#'><span>Machinaries</span></a></li>
                            <li><a href='#'><span>Metals</span></a></li>
                            <li><a href='#'><span>Printers</span></a></li>
                            <li><a href='#'><span>Pumps</span></a></li>
                            <li><a href='#'><span>Paper Products</span></a></li>
                            <li><a href='#'><span>Pipes</span></a></li>
                            <li class='last'><a href='#'><span>Refrigeration</span></a></li>
						</ul>
					</div>
                    <!-- Business Categories -->
			    </div>
		    </div>
		    <div class="col-9-12">
			    <div class="content">
				    <!--<div class="grid grid-pad">-->
					    <div class="col-8-12">
						    <div class="content">
                            <h3 style="text-align: center; text-transform:uppercase; color: #2fcc71;">Popular Categories</h3>
                            	<!-- Icons -->
							    <!--<div class="time wide">
  									<div class="container">
									    <div class="box start"><img src="images/icons/AC.png" width="80px" height="80px" style="margin-left:auto; margin-right: auto;" /></div>
									    <div class="box start-dat"><img src="images/icons/AC.png" width="80px" height="80px" /></div>
					  				</div>
  									<div class="container">
									    <div class="box end"><img src="images/icons/AC.png" width="80px" height="80px" /></div>
									    <div class="box end-dat"><img src="images/icons/AC.png" width="80px" height="80px" /></div>
  									</div>  
								</div>-->
                                <!-- Icons -->
                                
                                <!-- New 100% -->
                                <!--<div style="width: 100%; height: 150px; border: 1px solid #f00;">
                                	
                                    !-- New 50% --
                                    <div style="width: 45%;height:140px; padding: 5px; border:1px solid #0f0; float:left;">
                                    
                                    </div>
                                    
                                    <div style="width: 45%;height:140px; padding: 5px; border:1px solid #0f0; float:right;">
                                    
                                    </div>
                                    !-- New 50%; --
                                    
                                </div>-->
                                <!-- New 100% -->
                                
                                <!-- Another Arrangement -->
                                
                                <cms:pages masterpage='business.php' include_subfolders='1' limit='45' paginate='1'>
                                <div class="col-1-4" style="padding-right: 2.5%;">
								    <div class="content">
									    <div id='parent_div_1'>
                                        	<cms:if k_is_folder>
                                            <a href="<cms:show k_folder_link />">
                                            
                                               	<img src="<cms:show k_page_folderimage />" width="80px" height="80px" />
                                            </a>
                                            </cms:if>
											<div style="text-align: center;">
	                                            <a href="<cms:show k_page_folderlink />"><cms:show k_page_foldertitle /></a>
                                            </div>
										</div>
								    </div>
							    </div>
                                <cms:paginator />
                                </cms:pages>

                                <!-- Another Arrangement -->
                                
						    </div>
					    </div>
					    <div class="col-4-12">
						    <div class="content">
                            	<!-- Post / Ads -->
                                <h3 style="text-align: center; text-transform:uppercase; color: #2fcc71; width: 120%; margin-left: -15%; font-size: 25px;">List Your Business FREE!</h3>
                                <form action="" method="post">
                                	<fieldset style="width: 120%; margin-left: -10%;">
									<label>Company Name: </label> <input name="clientName" type="text" /><br />
                                    <label>Contact Person: </label> <input name="clientName" type="text" /><br />
                                    <label>Contact Number: </label> <input name="clientName" type="text" /><br />
                                    <label>Area of Work: </label> <input name="clientName" type="text" /><br /><br />
                                    <a href="#"><div class="btn" style="width: 80%; margin-left: auto; margin-right: auto;">Submit ME!</div></a>
                                    </fieldset>
                                </form>
                                <div style="height: 30px;"></div>
							    <img style="width: 120%; height: 180px; margin-bottom:20px; margin-left: -10%; border:5px solid #f6f6f6;" src="" />
                                <div style="height: 10px;"></div>
                                <img style="width: 120%; height: 430px; margin-bottom:20px; margin-left: -10%; border:5px solid #f6f6f6;" src="" />
                                <!-- Post / Ads -->
						    </div>
					    </div>
				    <!--</div>-->
	    		</div>
		    </div>
	    </div>
		<!-- Body -->
        
        <!-- Pre-Footer -->
        <div id="pre-footer">
		    <div class="grid grid-pad">
			    <div class="col-8-12">
				    <div class="content">
                    	<!-- Testimonials -->
					    <h3>col-8-12</h3>
                        <!-- Testimonials -->
				    </div>
			    </div>
			    <div class="col-4-12">
				    <div class="content fb-distance">
                    	<!-- Facebook Widget -->
						<div class="fb-like-box" data-href="https://www.facebook.com/clickmeindia" data-width="100%" data-height="auto" data-colorscheme="light" data-show-faces="true" data-header="true" data-stream="false" data-show-border="true">
                                </div>
                        <!-- Facebook Widget -->
				    </div>
			    </div>
		    </div>
        </div>
        <!-- Pre-Footer -->

		<!-- Footer -->
        <div id="footer">
        
        </div>
        <!-- Footer -->
        
	</body>
</html>
<?php COUCH::invoke(); ?>